#===============================================================================
#                                 TEAM NVus                                    #
#                          www.FNGnation.com/discord                           #
#                              www.FNGnation.com                               #
# ==============================================================================

# Should plugin show debug messages?
debug-mode: false
#===============================================================================
#                         DATABASE CONFIGURATION                               #
# ==============================================================================
# Database type (SQLite, MySQL)
database_type: SQLite
# MySQL connection details
mysql:
  host: localhost
  port: 3306
  database: dbName
  username: dbUser
  password: dbPass
# Connection properties
# HikariCP database connection properties, please refer to https://github.com/brettwooldridge/HikariCP#gear-configuration-knobs-baby for more information
connection_properties:
  connection_timeout: 60000
  idle_timeout: 600000
  keep_alive_time: 0
  max_life_time: 1800000
  minimum_idle: 10
  maximum_pool_size: 10
  leak_detection_threshold: 0
  connection_test_query: "SELECT 1"
  character_encoding: "utf8"
#===============================================================================
#                         MODULES CONFIGURATION                                #
# ==============================================================================
#                Enabling / Disabling of specific modules
modules:
  tokens: true
  gems: true
  ranks: true
  prestiges: true
  multipliers: true
  enchants: true
  autosell: true
  autominer: true
  pickaxe_levels: true
  gangs: true
  mines: true
  history: true
# Item migrator config
item-migrator:
  enabled: true
  bind:
    join: true
    inventory: false
#===============================================================================
#                   SUPPORTED PICKAXES FOR UPC ENCHANTS                        #
# ==============================================================================
#                 List of supported pickaxes by UPC Enchants
supported-pickaxes:
  - DIAMOND_PICKAXE
#===============================================================================
#                         COMMAND CONFIGURATION                                #
# ==============================================================================
main-command-aliases:
  - xprison
  - prison

#===============================================================================
#                         ORIGINAL LICENSE                                     #
# ==============================================================================
#                            MIT License

# Copyright (c) 2023 Bc. Ján Kluka

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

ConfigVersion: 1.0; # DO NOT CHANGE THIS VALUE! IT WILL BREAK THE PLUGIN!